/////////////////////////////////////////////////////////////
//
//  409389.pov
//
//  Copyright R.P. Stolk. augustus 2004. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
//  Render instructions:
//  +w1580 +h1185 +a0.2 -j +FN
//
//  zoom in 1 (5x): ( +sc619 +ec933  +sr126 +er630 )
//  +w7900 +h5925 +a0.2 -j +FP +sc3095 +ec4665 +sr630  +er1810 -D
//
//  zoom in 2 (5x): ( +sc846 +ec1160 +sr515 +er751 )
//  +w7900 +h5925 +a0.2 -j +FP +sc4230 +ec5800 +sr2575 +er3755 -D
//
//  fast Render:
//  +w800 +h600 +a0.4 -j +FN
//
/////////////////////////////////////////////////////////////

#declare use_traan = true;
//#declare use_traan = false;

//#declare use_rad = true;
#declare use_rad = false;


//include files
#include "colors.inc"
#include "shapes.inc"
#include "materials.inc"
#include "bot.inc"
#include "zenuw_bot.inc"
#include "schuur.inc"

 
//////////////CAMERA+LICHT///////////////////////// 
 light_source {<190,500,490> rgb <1.0, 1.0, 0.95>*1.5} 

light_source {<-800,500, -300>*10 rgb <1.0, 1.0, 0.95>*1.5} 
light_source {<0   ,500,-1050>*10 rgb <1.0, 1.0, 0.95>*1.5} 

camera {location <300,150,400>*0.8 direction 2*z look_at <0,80,0>}      // normal

////////////////OMGEVING///////////////////////// 

sky_sphere {
  pigment {
    bozo
    turbulence 5//0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0.0 0.1 color rgb <1, 1, 1>
                 color rgb <1,1, 1>]
        [0.1 1 color rgb <1, 1, 1>
                 color rgbt <1, 1, 1, 1>]
        [1 1.0 color rgbt <1, 1, 1, 1>
                 color rgbt <1, 1, 1, 1>]
     }
    scale <0.2, 0.5, 0.2>
  }
  rotate -135*x 
}


fog{
  distance 150
  color rgbf<127/255,127/255, 127/255, 0.8>
  fog_type 2
  fog_offset 50
  fog_alt 0.5
  turbulence 0.2
  turb_depth 0.3
} 


#declare bergen =
union{
height_field  {

   png "height.png"  smooth         
   water_level 0.0

   pigment { White }
   finish {
      crand 0.025         // dither  - not used often, but this image needs it.
      ambient 0.2         // Very dark shadows
      diffuse 0.8         // Whiten the whites
      phong 0.75          // Fairly shiny
      phong_size 100.0    // with tight highlights
      specular 1.0
      roughness 0.0000005
   }
   
   translate <-0.5, -0.5, -0.5>
   scale <640, 256, 480>

   scale <10, 3, 10>
 }
}

////////////////////VERLICHTING/////////////////////////////// 

#declare verlichting =
 union{
  box   {<-495,190,-800>,<-495,210,-820> material{grijs}}
  
  cylinder{<-499,202.5,-805>,<-499,202.5,-150>,3 material{grijs}}
  light_source{<-504,202.5,-750> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-650> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-550> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-450> rgb <1, 1, 1>*5 } 
  light_source{<-504,202.5,-350> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-250> rgb <1, 1, 1>*5 }

  box   {<30,0,1>,< -30,103,-1> rotate y*45 translate<-480,0,-980> material{grijs}}
                                              
  light_source{<-488, 50,-988> color White*5.0 spotlight radius 7 falloff 15 tightness 10 point_at <-500, 1000,-1000> }
  }
//////////////////robotje///////////////////////////
#declare robotje_ruw =
 union{
   Round_Box_Union(<10,  0,20>,< -10,20  ,-20>,5 )  
}
#declare robotje =
 union{ 
  object{robotje_ruw material{material_been}}
  Round_Box_Union(<11,7.5,21>,< -11,12.5,-21>,5 )  

  cone{<0,20,5>,1,<0,50,-5>,0.5 material{material_knie}}
  sphere {<0, 50, -5>,1.5   material {goud}}
    
  sphere {< 10, 2.5, 10>,3   material {goud}}  
  sphere {< 10, 2.5,-10>,3   material {goud}}  
  sphere {<-10, 2.5,-10>,3   material {goud}}  
  sphere {<-10, 2.5, 10>,3   material {goud}}  

 }  
//////////////////ONDERDELEN///////////////////////////

 union{ 
  object{ draden  translate <0,110,0>}
  object{ hydraulique translate <0,110,0>}
  object{bot    translate <0,110,0>}
  object{schuur                    }     
  object{verlichting             }
  object{bergen                    }     
  object{robotje rotate y*45  translate<   0,1,-200> material{material_knie}}                     
  object{robotje rotate y*-45 translate<-300,1,-250> material{material_knie}}                     
               
  plane { <0, -1, >, -1  material{material_vloer}}
  hollow
}       


 