/////////////////////////////////////////////////////////////
//
//  materials.inc
//
//  Copyright R.P. Stolk. augustus 2004. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
/////////////////////////////////////////////////////////////

#include "metals.inc"
#include "woods.inc"
#include "golds.inc"
#include "stones1.inc"

#declare rood =
material{
  texture {
    pigment { color rgb < 230/255 , 0/255 , 0/255 >}
    finish  {
      phong       0.1
      ambient     0.1
      diffuse     0.7
      reflection  0.0
    }
  }
}
                 
#declare blauw =
material{
texture {
      pigment { color rgb < 0/255 , 0/255 , 200/255>}
      finish  {
            phong       0.1
            ambient     0.1
            diffuse     0.7
            reflection  0.0
         } 
}}                 

#declare grijs =
material{
texture {
      pigment { color rgb < 128/255 , 128/255 , 128/255>}
      finish  {
            phong       0.1
            ambient     0.1
            diffuse     0.7
            reflection  0.0
         }
}}                 

#declare wit =
material{
texture {
      pigment { color rgb < 225/255 , 225/255 , 225/255 >}
      finish  {
            phong       0.0
            ambient     0.1
            diffuse     0.8
            reflection  0.0
         }
}}                 

#declare metal_licht_glad=
material {
  texture { T_Chrome_5A
  }  
} 

#declare goud=
material {
  texture { T_Gold_5D
    
  }  
}

#declare metal_donker=
material {
  texture { T_Chrome_3A
    normal {  crackle 0.75 scale 0.3 }       // sterkte, grote
  }  
} 

#declare metal_licht=
material {
  texture { T_Chrome_5A
    normal {  crackle 0.75 scale 0.3 }       // sterkte, grote
  }  
} 

//%%%%%%%%%%%%%%%%%%%%%%%%%% kleuren: %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#declare kleuren = 0; // snel
#declare kleuren = 1; // mooi


#if(kleuren=0) // snel
  #declare material_been   = blauw;
  #declare material_knie   = rood;
  #declare material_voet   = rood;
  #declare material_voet_2 = blauw;
  #declare material_arm    = blauw;
  #declare material_buik   = rood;
  #declare material_buik_2 = blauw;
  #declare material_borst  = blauw;
  #declare material_hoofd1 = rood;
  #declare material_hoofd2 = blauw;
  #declare material_nek    = rood;
  #declare material_kaak   = blauw;
  #declare material_s      = rood;
  #declare material_e      = rood;
  #declare material_vinger = rood;
  #declare material_vinger2= blauw;
  #declare material_vloer  = wit;
#end


#if(kleuren=1) // mooi]

  #declare material_been   = metal_donker;
  #declare material_knie   = metal_licht;
  #declare material_voet   = metal_licht;
  #declare material_voet_2 = metal_donker;
  #declare material_arm    = metal_donker;
  #declare material_buik   = metal_licht; 
  #declare material_buik_2 = metal_donker;
  #declare material_borst  = metal_donker;
  #declare material_hoofd1 = metal_licht;
  #declare material_hoofd2 = metal_donker;
  #declare material_nek    = metal_licht;
  #declare material_kaak   = metal_donker;
  #declare material_s      = metal_licht;
  #declare material_e      = metal_licht;
  #declare material_vinger = metal_licht;
  #declare material_vinger2= metal_donker;
  #declare material_vloer  = goud;

  #declare grijs_muur  = grijs;



#if(use_rad)
global_settings { // radiosity (global illumination) settings
  radiosity {
    pretrace_start 0.08           // start pretrace at this size
    pretrace_end   0.005          // end pretrace at this size
    count  400                    // higher -> higher quality (1..1600) [35]
    error_bound 0.1               // higher -> smoother, less accurate [1.8]
    recursion_limit 1             // how much interreflections are calculated (1..5+) [3]
  }
}
#end
    
#end









                      