/////////////////////////////////////////////////////////////
//
//  schuur.inc
//
//  Copyright R.P. Stolk. augustus 2004. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
/////////////////////////////////////////////////////////////

#declare muur_rest =
 union{
   box   {< 495,0,  995>,<-505,1000, 1005> }
   box   {< 495,0, 1000>,< 505,1000,-1000> }

   // traan plaat:
   #if(use_traan)
    #declare tr_afst  = 9; // afstand tussen traan (niet veranderen anders kloppen ramen niet meer!)
    #declare tr_size  = 5; // grote van traan      (mag teken anders) 

    // tranen op muur L:
    #declare i_y = 1;
    #while(i_y < 350/tr_afst)     // van 1 tot 350 hoog                        
      #declare i_x = 0;
      #while(i_x < 310/tr_afst)   // van 0 tot 310 lang                                             
        #declare teken = true;
        // zoek uit welke traanen niet getekend moeten worden:
        #if(i_y < 20 )   // onder bovenkant raam
          #if(i_y > 10 ) // boven onderkant raam
            // y=op raam, controleer nu x:
            #if(i_x > 21 )   // rechter kant raam 1
              #if(i_x < 33 ) // linker  kant raam 1
                #declare teken = false;
              #end
            #end
            #if(i_x > 4 )    // rechter kant raam 2
              #if(i_x < 17 ) // linker  kant raam 2
                #declare teken = false;
              #end
            #end
          #end
        #end
        /*  teken tranen op 2 van elke 4 punten: ( . =niets)
        Y |
        ^4|\  .  \  .  \  .  \  .  \
        | |
        |3|.  /  .  /  .  /  .  /  .
          |
         2|\  .  \  .  \  .  \  .  \
          |
         1|.  /  .  /  .  /  .  /  .  
          |
         0|\  .  \  .  \  .  \  .  \
          +-------------------------
           0  1  2  3  4  5  6  7  8 --> X of Z
        */
        #if(teken)
          #if(odd(i_x))  #if(odd(i_y))  //  45 graden op 1,3,5,7,...  ( / )
            sphere{ <0,0,0>, tr_size  scale <0.2,1,0.2> rotate  z*45 translate <i_x*tr_afst-495, i_y*tr_afst, -995> }
          #end #end
          #if(even(i_x)) #if(even(i_y)) // -45 graden op 0,2,4,6,...  ( \ ) 
            sphere{ <0,0,0>, tr_size scale <0.2,1,0.2> rotate -z*45 translate <i_x*tr_afst-495, i_y*tr_afst, -995> }
          #end #end
          #if(odd(i_x))  #if(even(i_y))  //  i_x=oneven, i_y=even
            //  ( . )
          #end #end
          #if(even(i_x))  #if(odd(i_y))  //  i_x=even, i_y=oneven
            //  ( . )
          #end #end
        #end
        #declare i_x = i_x + 1;
      #end
      #declare i_y = i_y + 1;
    #end

    // tranen op muur R:
    #declare i_y = 1;
    #while(i_y < 350/tr_afst)     // van 0 tot 350 hoog                        
      #declare i_z = 0;
      #while(i_z < 850/tr_afst)   // van 0 tot 850 lang                                             
        #declare teken = true;
        // zoek uit welke trannen niet getekend moeten worden:
        #if(i_y < 20 )   // onder bovenkant raam
          #if(i_y > 10 ) // boven onderkant raam
            // y=op raam, controleer nu z:
            #if(i_z > 21 )    // linker  kant raam 3
              #if(i_z < 34 )  // rechter kant raam 3
                #declare teken = false;
              #end
            #end
            #if(i_z > 37 )    // linker  kant raam 4
              #if(i_z < 50 )  // rechter kant raam 4
                #declare teken = false;
              #end
            #end
            #if(i_z > 54 )    // linker  kant raam 5
              #if(i_z < 67 )  // rechter kant raam 5
                #declare teken = false;
              #end
            #end
            #if(i_z > 71 )    // linker  kant raam 6
              #if(i_z < 84 )  // rechter kant raam 6
                #declare teken = false;
              #end
            #end
            #if(i_z > 88 )    // linker  kant raam 7
              #if(i_z < 110 ) // rechter kant raam 7
                #declare teken = false;
              #end
            #end
          #end
        #end
        #if(i_y < 24 )   // onder bovenkant lamp
          #if(i_y > 21 ) // boven onderkant lamp
            // y=op lamp, controleer nu z:
            #if(i_z > 21 )  // linker kant lamp
              #declare teken = false;
            #end
          #end
        #end
        //  teken tranen op 2 van elke 4 punten:
        #if(teken)
          #if(odd(i_z))  #if(odd(i_y))  //  45 graden op 1,3,5,7,...  ( / )
            sphere{ <0,0,0>, tr_size scale <0.2,1,0.2> rotate  x*45 translate <-495, i_y*tr_afst, i_z*tr_afst-995> }
          #end #end
          #if(even(i_z)) #if(even(i_y)) // -45 graden op 0,2,4,6,...  ( \ ) 
            sphere{ <0,0,0>, tr_size scale <0.2,1,0.2> rotate -x*45 translate <-495, i_y*tr_afst, i_z*tr_afst-995> }
          #end #end
          #if(odd(i_z))  #if(even(i_y))  //  i_z=oneven, i_y=even
            //  ( . )
          #end #end
          #if(even(i_z))  #if(odd(i_y))  //  i_z=even, i_y=oneven
            //  ( . )
          #end #end
        #end
        #declare i_z = i_z + 1;
      #end
      #declare i_y = i_y + 1;
    #end

    // tranen op muur_licht_box:
    #declare i_y = 1;
    #while(i_y < 100/tr_afst)    // van 1 tot 100 hoog                        
      #declare i_x = 0;
      #while(i_x < 60/tr_afst)   // van 0 tot 60 lang                                             
        //  teken tranen op 2 van elke 4 punten:
          #if(odd(i_x))  #if(odd(i_y))  //  45 graden op 1,3,5,7,...  ( / )
            sphere{ <0,0,0>, tr_size  scale <0.2,1,0.2> rotate  z*45 translate <i_x*tr_afst-27, i_y*tr_afst, 1> 
              rotate y*45
              translate<-480,0,-980>
            }
          #end #end
          #if(even(i_x)) #if(even(i_y)) // -45 graden op 0,2,4,6,...  ( \ ) 
            sphere{ <0,0,0>, tr_size scale <0.2,1,0.2> rotate -z*45 translate <i_x*tr_afst-27, i_y*tr_afst, 1>
              rotate y*45
              translate<-480,0,-980>
            }
          #end #end
          #if(odd(i_x))  #if(even(i_y))  //  i_x=oneven, i_y=even
            //  ( . )
          #end #end
          #if(even(i_x))  #if(odd(i_y))  //  i_x=even, i_y=oneven
            //  ( . )
          #end #end
        #declare i_x = i_x + 1;
      #end
      #declare i_y = i_y + 1;
    #end
     
  #end // end if use traan.
}
#declare schuur_r =
 union{
  box   {<-495,0, 1000>,<-505,98.5,-1000> material{grijs}}//onder
  
  box   {<-495,97.5,-1000>,<-505,171.5,-799> material{grijs}}
  box   {<-495,97.5, -701>,<-505,171.5,-651> material{grijs}}
  box   {<-495,97.5, -551>,<-505,171.5,-501> material{grijs}}
  box   {<-495,97.5, -401>,<-505,171.5,-351> material{grijs}}
  box   {<-495,97.5, -251>,<-505,171.5,-201> material{grijs}}
  box   {<-495,97.5, -101>,<-505,171.5,-1000> material{grijs}}
  
  box   {<-495,1000, 1000>,<-505,171.5,-1000> material{grijs}}
}

#declare schuur_l =
 union{
 box   {<-495,0, -995>,< 505,1000,-1005> material{grijs}}
 }

#declare schuur =
union{
 difference{
  object{schuur_l}
  box   {<-12,-25,50>,< 6,50,-50> rotate y*90 translate<-400,122.5,-1000>material{goud}}
  box   {<-12,-25,50>,< 6,50,-50> rotate y*90 translate<-250,122.5,-1000>material{goud}}
  box   {<-12,-25,50>,< 6,50,-50> rotate y*90 translate<-100,122.5,-1000>material{goud}}
 }
 difference{
  object{schuur_r}
  box   {<-6,-25,50>,< 6,50,-50> translate<-500,122.5,-150>material{goud}}
  box   {<-6,-25,50>,< 6,50,-50> translate<-500,122.5,-300>material{goud}}
  box   {<-6,-25,50>,< 6,50,-50> translate<-500,122.5,-450>material{goud}}
  box   {<-6,-25,50>,< 6,50,-50> translate<-500,122.5,-600>material{goud}}
  box   {<-6,-25,50>,< 6,50,-50> translate<-500,122.5,-750>material{goud}}
  cylinder{<-499,202.5,-820>,<-499,202.5,-150>,6 material{grijs}}
 }
 object{muur_rest material{grijs_muur} }
}
                      